From 379d342779696f38ee67ae8a3d6367c7a2caf8e3 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 08 2020 02:46:02 +0000
Subject: [PATCH 562/2232] Type alias type info


---

diff --git a/syntax/types.rs b/syntax/types.rs
index 2ab8cbd..987d618 100644
--- a/syntax/types.rs
+++ b/syntax/types.rs
@@ -96,7 +96,13 @@ impl<'a> Types<'a> {
                         visit(&mut all, ret);
                     }
                 }
-                Api::TypeAlias(_alias) => unimplemented!(),
+                Api::TypeAlias(alias) => {
+                    let ident = &alias.ident;
+                    if !type_names.insert(ident) {
+                        duplicate_name(cx, alias, ident);
+                    }
+                    cxx.insert(ident);
+                }
             }
         }
 

